﻿using System.Linq;
using System.Windows.Controls;
using EditItemsWithDetails_RIA.Web;
using System.ServiceModel.DomainServices.Client;

namespace EditItemsWithDetails_RIA
{
	public partial class MainPage : UserControl
	{
		CustomersDomainContext context = new CustomersDomainContext();
		public MainPage()
		{
			InitializeComponent();
			EntityQuery<Order> query = context.GetOrdersQuery()                                                                                                        
			                                        .Take(10);
			LoadOperation<Customer> loadCustomers = this.context.Load(this.context.GetCustomersQuery());			
			LoadOperation<Order> loadOrders = this.context.Load(query);
			this.ordersGrid.ItemsSource = loadOrders.Entities;
		}
	}
}
